package com.sunxung.factoring.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.PinYinEntity;


/**
* @author 张超
* @date  2023-08-15
*/

@TableName("c_sys_user")
public class UserDO extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 登录名
     */
    @TableField("login_name")
    private String loginName;

    /**
     * 用户名
     */
    @TableField("user_name")
    private String userName;

    /**
     * 密码
     */
    @TableField("password")
    private String password;

    /**
     * 手机号
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 企业邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 头像图片链接
     */
    @TableField("head_img_url")
    private String headImgUrl;

    /**
     * 企业地址
     */
    @TableField("enterprise_address")
    private String enterpriseAddress;

    /**
     * 推荐码
     */
    @TableField("referral_code")
    private String referralCode;

    /**
     * 项目经理id
     */
    @TableField("project_manager")
    private Long projectManager;

    /**
     * 风控经理id
     */
    @TableField("risk_manager")
    private Long riskManager;

    public Long getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(Long projectManager) {
        this.projectManager = projectManager;
    }

    public Long getRiskManager() {
        return riskManager;
    }

    public void setRiskManager(Long riskManager) {
        this.riskManager = riskManager;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getHeadImgUrl() {
        return headImgUrl;
    }

    public void setHeadImgUrl(String headImgUrl) {
        this.headImgUrl = headImgUrl;
    }

    public String getEnterpriseAddress() {
        return enterpriseAddress;
    }

    public void setEnterpriseAddress(String enterpriseAddress) {
        this.enterpriseAddress = enterpriseAddress;
    }

    public String getReferralCode() {
        return referralCode;
    }

    public void setReferralCode(String referralCode) {
        this.referralCode = referralCode;
    }
}
